#ifndef _CAMEL_H

#define _CAMEL_H

#include <stdlib.h>

#include "random.h"


struct Distribution{
	int size;
	double dataList[65535];
};


int compare(const void *arg1, const void *arg2 );

Distribution* createDistribution();

void SetCamel(int size, float m, float w,  Random* myRand, double max, Distribution* myDist);

void SetRectangle(int size, Random* myRand, double max, Distribution* myRect);

void SetJitter(int size, Random* myRand, double max, Distribution* myJitter);

void SetTriangle(double LowerBound, double UpperBound, double PointX, int size, Random* myRand, Distribution* myTriangle, unsigned int Max);

#endif